"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncounterCreator = void 0;
const CharacterCreator_1 = require("./character/CharacterCreator");
const EncounterCreator_1 = require("./encounters/EncounterCreator");
Object.defineProperty(exports, "EncounterCreator", { enumerable: true, get: function () { return EncounterCreator_1.EncounterCreator; } });
const ClassService_1 = require("./services/classes/ClassService");
const SpellService_1 = require("./services/spells/SpellService");
const spellService = new SpellService_1.SpellService();
const classService = new ClassService_1.ClassService();
const characterCreator = new CharacterCreator_1.CharacterCreator();
characterCreator.getRandomCharacter().then(character => {
    console.log(character);
});
