import { AxiosRequestConfig } from 'axios';
import { Response } from '../types/Response';
export declare abstract class CRUDService<SingleResponse> {
    url: string;
    constructor(url: string);
    getAll(params?: AxiosRequestConfig): Promise<Response>;
    getOne(index: string, url?: string): Promise<SingleResponse>;
    getRandom(): Promise<SingleResponse>;
}
